{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des sous-traitant de l'application" %}

{% block pageActions %}
    {{ macro.addButton('app_referentiel_add', 'Ajout', 'text-left') }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">Etat</th>
                <th scope="col">Libelle</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for referentiel in referentiels %}
                <tr>
                    <th>
                        {% if (referentiel.abroger == true) %}
                            <div class="text-center">
                                <span class="badge badge-danger">
                                    Abrogée
                                </span>
                            </div>
                        {% endif %}
                    </th>

                    <th>
                        {{ referentiel.name }}
                    </th>

                    <th>
                        {{ macro.showButton('app_referentiel_show', referentiel.id) }}

                        {% if (referentiel.abroger == false) %}
                            {{ macro.editButton('app_referentiel_edit', referentiel.id) }}
                        {% endif %}

                        {{ macro.abrogerButton(
                            'app_referentiel_abroger',
                            referentiel.id,
                            referentiel.abroger,
                            referentiels.currentPageNumber
                        ) }}

                        {% if (referentiel.abroger == true) %}
                            {{ macro.deleteButtonModal(
                                referentiel.id,
                                'Suppression du référentiel',
                                'app_referentiel_delete',
                                'Voulez-vous vraiment supprimer ce référentiel ?',
                                referentiels.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(referentiels) %}